uniform sampler	diffuse;
uniform float	fadeout;

float4 main( float4 uv : TEXCOORD0 ) : COLOR0
{
	float4 outColor = tex2D( diffuse, uv );
	outColor.a = lerp( outColor.a, 0, fadeout) ;
	
	return outColor;
}
